Bug 200140 - Unresolved ids on ternary operator 2
Unresolved ids on ternary operator 2
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Code Model
7.1
PC Linux
: P3 (vote)
: 7.0.1
Assigned To: nnnnnk
issues@cnd
701patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-14 13:38 UTC by nnnnnk
Modified: 2011-08-29 10:30 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nnnnnk 2011-07-14 13:38:53 UTC
Sample:
typedef union a {
    int x;
} aa;
typedef struct b {
	struct b *y;
	union u *z;
} bb;
typedef struct c {
	struct b *q, *w;

} cc;
typedef struct d {
	union node_u *t,*u;
} dd;
typedef union e {
	struct d p;
	struct c o;
} ee;

typedef struct g
{
    union
    {
        ee *n;
    }
    m;
}
gg;

int k;

gg **h;

gg ** foo() {
    return 0;
}

#define AAA(i,j) ((j)<k ? h : foo(j))[(i)*k + (j)]


int main(int argc, char** argv) {
    int i,j;
    (AAA (i, j)->m.n);
    ((j)<k ? h : foo(j))[(i)*k + (j)]->m.n;
    return 0;
}
Comment 2 dnikitin 2011-08-10 12:03:13 UTC
verified in NetBeans IDE Dev (Build cnd-build-trunk-279-on-20110810)
Comment 3 Alexander Simon 2011-08-15 10:10:31 UTC
fix transplanted in release701_fixes on elif
a47d72193cae transplanted to c2bffb91d556
Comment 4 dnikitin 2011-08-18 12:34:22 UTC
Verified in NetBeans IDE 7.0.1 (Build oss-platform-build-22-on-20110818)
Comment 5 Alexander Simon 2011-08-24 11:34:57 UTC
integrated in release701_fixes:
c2bffb91d556 transplanted to 97f20f13e5e3
Comment 6 soldatov 2011-08-29 10:30:05 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo